import { defineStore } from 'pinia'
import { useLocalStorage } from '@vueuse/core'

export const useCommentStore = defineStore('comment', {
  state: () => ({
    comment: useLocalStorage('comment', [])
  }),
  hydrate(state, initialState) {
    state.comment = useLocalStorage('comment', [])
  },
  actions: {
    add(newComment) {
      this.comment.push(newComment)
      useLocalStorage('comment', this.comment)
    },
  },
  getters: {
    orderedComment: (state) => state.comment.sort((a, b) => b.added - a.added)
  }
})
